> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch recordings for a call

> Returns recordings for a call identified by call_sid.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/recordings.yml get /texml/Accounts/{account_sid}/Calls/{call_sid}/Recordings.json
openapi: 3.1.0
info:
  title: Telnyx TeXML Recordings API
  version: 2.0.0
  description: API for managing TeXML Recordings.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Calls/{call_sid}/Recordings.json:
    get:
      tags:
        - TeXML REST Commands
      summary: Fetch recordings for a call
      description: Returns recordings for a call identified by call_sid.
      operationId: FetchTeXMLCallRecordings
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/CallSid'
      responses:
        '200':
          $ref: '#/components/responses/TexmlGetCallRecordingsResponse'
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.texml.accounts.calls.recordingsJson.retrieveRecordingsJson(
              'call_sid',
              { account_sid: 'account_sid' },
            );


            console.log(response.end);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            response =
            client.texml.accounts.calls.recordings_json.retrieve_recordings_json(
                call_sid="call_sid",
                account_sid="account_sid",
            )

            print(response.end)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Texml.Accounts.Calls.RecordingsJson.GetRecordingsJson(\n\t\tcontext.TODO(),\n\t\t\"call_sid\",\n\t\ttelnyx.TexmlAccountCallRecordingsJsonGetRecordingsJsonParams{\n\t\t\tAccountSid: \"account_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.End)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.calls.recordingsjson.RecordingsJsonRetrieveRecordingsJsonParams;

            import
            com.telnyx.sdk.models.texml.accounts.calls.recordingsjson.RecordingsJsonRetrieveRecordingsJsonResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RecordingsJsonRetrieveRecordingsJsonParams params = RecordingsJsonRetrieveRecordingsJsonParams.builder()
                        .accountSid("account_sid")
                        .callSid("call_sid")
                        .build();
                    RecordingsJsonRetrieveRecordingsJsonResponse response = client.texml().accounts().calls().recordingsJson().retrieveRecordingsJson(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.texml.accounts.calls.recordings_json.retrieve_recordings_json(
              "call_sid",
              account_sid: "account_sid"
            )


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client
                ->texml
                ->accounts
                ->calls
                ->recordingsJson
                ->retrieveRecordingsJson('call_sid', accountSid: 'account_sid');

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: >-
            telnyx texml:accounts:calls:recordings-json retrieve-recordings-json
            \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --call-sid call_sid
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    CallSid:
      name: call_sid
      in: path
      required: true
      description: The CallSid that identifies the call to update.
      schema:
        type: string
  responses:
    TexmlGetCallRecordingsResponse:
      description: Successful Get Call Recordings Response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TexmlGetCallRecordingsResponseBody'
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  schemas:
    TexmlGetCallRecordingsResponseBody:
      type: object
      title: Multiple recording resources
      properties:
        recordings:
          type: array
          items:
            $ref: '#/components/schemas/TexmlGetCallRecordingResponseBody'
        end:
          type: integer
          description: The number of the last element on the page, zero-indexed.
          example: 19
        first_page_uri:
          type: string
          format: uri
          description: Relative uri to the first page of the query results
        previous_page_uri:
          type: string
          format: uri
          description: Relative uri to the previous page of the query results
        next_page_uri:
          type: string
          description: Relative uri to the next page of the query results
          example: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Calls.json?Page=1&PageSize=1
        page:
          type: integer
          description: Current page number, zero-indexed.
          example: 0
        page_size:
          type: integer
          description: The number of items on the page
          example: 20
        start:
          type: integer
          description: The number of the first element on the page, zero-indexed.
          example: 0
        uri:
          type: string
          description: The URI of the current page.
          example: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Recordings.json?Page=0&PageSize=1
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
    TexmlGetCallRecordingResponseBody:
      type: object
      title: Texml Get Call Recording Response Body
      properties:
        account_sid:
          $ref: '#/components/schemas/AccountSid'
        call_sid:
          $ref: '#/components/schemas/CallControlId'
        conference_sid:
          $ref: '#/components/schemas/ConferenceSid'
        channels:
          $ref: '#/components/schemas/TwimlRecordingChannels'
        date_created:
          $ref: '#/components/schemas/DateTimeRFC2822'
        date_updated:
          $ref: '#/components/schemas/DateTimeRFC2822'
        start_time:
          $ref: '#/components/schemas/DateTimeRFC2822'
        duration:
          $ref: '#/components/schemas/TexmlRecordingDuration'
        sid:
          $ref: '#/components/schemas/TexmlSid'
        source:
          $ref: '#/components/schemas/RecordingSource'
        status:
          $ref: '#/components/schemas/TexmlRecordingStatus'
        error_code:
          $ref: '#/components/schemas/TexmlErrorCode'
        subresources_uris:
          $ref: '#/components/schemas/TexmlRecordingSubresourcesUris'
        uri:
          type: string
          description: The relative URI for this recording resource.
          example: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Recordings/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json
        media_url:
          $ref: '#/components/schemas/TexmlRecordingMediaUrl'
    AccountSid:
      type: string
      example: 61bf923e-5e4d-4595-a110-56190ea18a1b
    CallControlId:
      type: string
      example: v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA
    ConferenceSid:
      type:
        - string
        - 'null'
      format: uuid
      example: cd5a70f4-759b-4d5e-9c06-88c00f16f3c1
    TwimlRecordingChannels:
      type: integer
      enum:
        - 1
        - 2
      default: 2
      example: 1
    DateTimeRFC2822:
      type: string
      format: date-time
      example: '2023-08-11T19:12:11Z'
    TexmlRecordingDuration:
      type:
        - string
        - 'null'
      description: The duration of this recording, given in seconds.
      example: '12'
    TexmlSid:
      type: string
      description: Identifier of a resource.
      example: e9cea0be-7dbd-4b98-98b1-c0089d9d43b0
    RecordingSource:
      type: string
      description: Defines how the recording was created.
      enum:
        - StartCallRecordingAPI
        - StartConferenceRecordingAPI
        - OutboundAPI
        - DialVerb
        - Conference
        - RecordVerb
        - Trunking
    TexmlRecordingStatus:
      type: string
      enum:
        - in-progress
        - completed
        - paused
        - stopped
      example: paused
    TexmlErrorCode:
      type:
        - string
        - 'null'
      example: null
    TexmlRecordingSubresourcesUris:
      type: object
      title: Texml recording subresources uris
      description: Subresources details for a recording if available.
      properties:
        transcriptions:
          type:
            - string
            - 'null'
          format: uri
    TexmlRecordingMediaUrl:
      type: string
      format: uri
      example: http://recordings.com/mp3/filename.mp3
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````